<template>
  <div v-if="post" class="md-layout md-alignment-center">
    <h2 class="md-layout-item md-size-100">{{ post.title }}</h2>
    <div class="md-subhead md-layout-item md-size-100">
      {{ post.author }} <span md-alignment="right">{{ post.posted | formatDate }}</span>
    </div>

    <img :src="post.image" class="md-layout-item md-size-100">

    <div class="md-layout-item md-size-100">
      {{ post.teaser }}
    </div>

    <div v-html="compiledMarkdown" class="md-layout-item md-size-100"></div>
  </div>
  <div v-else>Post {{ $route.params.id }}</div>
</template>

<script>
  import marked from 'marked'
  import { mapGetters } from 'vuex'

  export default {
    name: 'Post',
    mounted () {
      console.info(this.$route)
      this.getPost(this.$route.params.id)
    },
    data () {
      return {
        post: null,
        errors: [],
        copy: '© a.Signz 18'
      }
    },
    computed: {
      compiledMarkdown: function () {
        return marked(this.post.body, {sanitize: true})
      },
      ...mapGetters([
        'api'
      ])
    },
    methods: {
      getPost (id) {
        this.api.get('api/blog/' + id + '/')
          .then(response => {
            this.post = response.data
          })
          .catch(e => {
            this.errors.push(e)
            console.log(e)
          })
      }
    }
  }
</script>

<style lang="scss" scoped>
  .card {
    padding: 0;
  }
</style>
